## ri-li 2.0.1%2Bds

=== debian/changelog ===
ri-li (2.0.1+ds-7) unstable; urgency=medium

  * Revert "Drop no-sdl-timers-for-makedat.patch again."
    (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2017 21:43:00 +0100

ri-li (2.0.1+ds-6) unstable; urgency=medium

  * Drop no-sdl-timers-for-makedat.patch again.
    Apparently it is not sufficient to resolve the build failures.
  * Add link-with-X11.patch.
    Apparently this one resolves the build failures on arm64 (and probably
    other build environments)

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2017 01:27:15 +0100

ri-li (2.0.1+ds-5) unstable; urgency=medium

  * Add no-sdl-timers-for-makedat.patch and work around a build environment
    limitation. Thanks to Steve Cotton for the patch. (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Sun, 19 Feb 2017 19:28:23 +0100

ri-li (2.0.1+ds-4) unstable; urgency=medium

  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Run xvfb-run with the -a option and try to get a free DISPLAY server
    automatically. (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Tue, 13 Dec 2016 19:59:25 +0100

ri-li (2.0.1+ds-3) unstable; urgency=medium

  * Move imagemagick to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Dec 2015 19:38:54 +0100

ri-li (2.0.1+ds-2) unstable; urgency=medium

  [ Paul Wise ]
  * Fix build reproducibility issues due to use of imagemagick.

  [ Markus Koschany ]
  * Moved the package to Git.
  * Declare compliance with Debian Policy 3.9.6.
  * debian/rules: Fix FTBFS when built with dpkg-buildpackage -A.
    Thanks to Santiago Vila for the report. (Closes: #806872)
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Dec 2015 18:37:14 +0100

ri-li (2.0.1+ds-1) unstable; urgency=medium

  [ Miguel Telleria de Esteban ]
  * Added Spanish comment translation in ri-li.desktop file.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Use the absolute icon path to display the menu icon. (Closes: #726886)
  * Switch to source format 3.0 (quilt).
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Drop quilt build-dependency. Source format 3.0 uses quilt by default.
  * Declare compliance with Debian Policy 3.9.5.
  * Add ${misc:Depends} substvar to binary packages.
  * ri-li-data: Remove superfluous ${shlibs:Depends} substvar.
  * ri-li-data: Change Recommends ri-li to Suggests.
  * Add comment in German to desktop file.
    - Thanks to Ronny Standtke for the report and patch. (Closes: #725182)
  * Add keywords to desktop file.
  * Drop dpkg-dev build-dependency. It is no longer required.
  * Build with autoreconf. Add dh-autoreconf to Build-Depends.
  * Install README AUTHORS NEWS with ri-li.docs
  * Remove duplicate Source: control fields in debian/control.
  * Fix lintian warning synopsis starts with article.
  * Drop docbook-to-man build-dependency and ri-li.sgml. Convert man page to
    ri-li.6 manually and install it with manpages file.
  * Drop the following patches. They were either not applied or they are not
    necessary.
    - 10_data_in_usr_games_ri-li.patch.
    - 20_remove_gentoo_dir.diff.
    - 50_remove_-lpthread.diff.
  * Rename the remaining patch to fix-gcc4.3-ftbfs.patch. Refresh and update
    it for the new files in data-src. Add DEP-3 header.
  * Add fix-compiler-warnings.patch to fix deprecated code conventions.
  * Update debian/watch. Mangle the version correctly. Improve extension regex.
  * Fix spelling and grammar errors in package description.
    - Thanks to Chris King and Justin B Rye for the report and patch
      (Closes: #714015)
  * Build the data and language files from source.
    - Add libsdl-image1.2-dev, xauth and xvfb to Build-Depends.
    - Repack the source tarball and merge the development files and the release
      tarball into one source package. Remove prebuilt data files.
    - Add a new get-orig-source target in debian/rules.
    - dh_auto_build-arch: Build MakeDat and build the data files.
      (Closes: #383007)
  * Install high resolution icon to /usr/share/icons/hicolor/128x128/apps.
    - Thanks Ronny Standtke for the report. (Closes: #725181)
  * Simplify debian/rules by using dh sequencer.
  * Update debian/copyright to copyright format 1.0.
  * Add clean file. Ensure that Ri-li can be built twice in a row.
  * Add Breaks and Replaces to ri-li-data since the icons have been moved to
    the arch-independent package.

 -- Markus Koschany <apo@gambaru.de>  Fri, 18 Apr 2014 16:38:28 +0200

ri-li (2.0.1-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Fix binary-indep target. (Closes: #470311).

  [ Gonéri Le Bouder ]
  * clean the .pc directory

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 20 Apr 2008 21:32:04 +0200

ri-li (2.0.1-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix typos in the long description (Closes: #444827).
  * Fix FTBFS with gcc 4.3 by getting rid of pre-ISO C++ headers,
    replacing “#include <iostream.h>” with “#include <iostream>”
    followed by “using namespace std;” (Closes: #461705). Add the
    40_fix_gcc4.3_ftbfs patch to this effect.

  [ Eddy Petrișor ]
  * remove myself from the Uploaders list

  [ Barry deFreese ]
  * New upstream release
  * Remove deprecated encoding tag from desktop file and full path in exec
  * Remove XS- from VCS fields in control
  * Add Homepage field in control
  * 20_remove_gentoo_dir.diff - Remove gentoo subdir from Makefile.*
  * Bug #383007 mentions using a merged tarball to get the data package
    + source but I am not sure how to effectively do that.

  [ Gonéri Le Bouder ]
  * add 50_remove_-lpthread.diff so the linker is not called with the useless


## ri-li 2.0.1+ds2

=== data-src/Makefile ===
#      (_||_/       
#      (    )       MakeFile pour MakeDat
#     ( O  0 )      
#-Ooo--(_)---Ooo---------------------------------------
#                   Copyright (C) 2006 By Dominique Roux-Serret @2006
# .Oooo      Oooo.  roux-serret@ifrance.com
#-(   )------(   )---------------------------------------
#  ( (        ) /   Le 03/01/2006
#   (_)      (_/

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 or version 3 of the License.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

CC=c++
LINKER=c++
AR=ar	
DEBUGOPT= -DLINUX
COPTS=-O3 -Wall -Wno-switch -Wno-deprecated -ffast-math -I/usr/X11R6/include -I/usr/include $(DEBUGOPT) `sdl-config --cflags`
LINKOPTS=-L/usr/lib `sdl-config --libs` -lSDL_image

TARGET=MakeDat

OBJECT = main.o sprite.o

# Type de suffix
.SUFFIXES: .cc

.cc.o: 
	$(CC) -c $(COPTS) -o $@ $<

# Compile
all: $(TARGET)

$(TARGET): $(OBJECT)
	$(LINKER) $(COPTS) $^ -o $@ $(LINKOPTS) -I./

$(CODE): $(OBJECTCODE)
	$(LINKER) $(COPTS) $^ -o $@ $(LINKOPTS) -I./

utils.o: utils.cc utils.h

sprite.o : sprite.h sprite.cc

main.o : main.cc sprite.o

clean:
	rm -f *~ *.o core

dep:
	rm -f *~ *.o core $(TARGET)

## ri-li 2.0.1%2Bds2

=== debian/control ===
Source: ri-li
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Build-Depends-Indep:
 imagemagick
Standards-Version: 4.6.1
Homepage: http://www.ri-li.org/
Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
Vcs-Browser: https://salsa.debian.org/games-team/ri-li

Package: ri-li
Architecture: any
Depends:
 ri-li-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: toy train simulation game
 Ri-li is a game in which you drive a wooden toy steam locomotive across many
 levels and collect all the coaches to win.
 .
 It features:
  * a colorful animated wooden steam locomotive;
  * 50 game levels;
  * 3 beautiful tunes and many sound effects;
  * 14 languages (Arabic, Breton, Chinese, English, Esperanto, French,
     German, Italian, Japanese, Portuguese, Russian, Slovak, Spanish, and
     Swedish).

Package: ri-li-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 ri-li
Description: toy train simulation game - data files
 Ri-li is a game in which you drive a wooden toy steam locomotive across many
 levels and collect all the coaches to win.
 .
 This package provides data files for the game.

## ri-li 2.0.1+ds

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
+ Stu Teasdale <sdt@debian.org>,
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 9),
+ dh-autoreconf,
+ imagemagick,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
+ xauth,
+ xvfb,
  zlib1g-dev
-Build-Depends-Indep:
- imagemagick
-Standards-Version: 4.6.1
+Standards-Version: 3.9.6
 Homepage: http://www.ri-li.org/
-Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
-Vcs-Browser: https://salsa.debian.org/games-team/ri-li
+Vcs-Git: git://anonscm.debian.org/pkg-games/ri-li.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ri-li.git
 
 Package: ri-li
 Architecture: any
@@ -38,11 +41,14 @@
 
 Package: ri-li-data
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
  ri-li
+Breaks:
+ ri-li (<< 2.0.1+ds-1)
+Replaces:
+ ri-li (<< 2.0.1+ds-1)
 Description: toy train simulation game - data files
  Ri-li is a game in which you drive a wooden toy steam locomotive across many
  levels and collect all the coaches to win.

=== debian/rules ===
#!/usr/bin/make -f
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
PKG2  = Ri-li
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +ds
VER  ?= $(subst $(DTYPE),,$(UVER))
export PNGRBT=-define png:exclude-chunk=time
export PNGRBTD=+set date:create +set date:modify $(PNGRBT)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--datadir=/usr/share/games/ri-li \
		--bindir=/usr/games

override_dh_auto_build:
	dh_auto_build -Ddata-src
	cd data-src && xvfb-run --server-args="-screen 0 1024x768x24" ./MakeDat
	mv data-src/language.* data
	mv data-src/sprites.dat data
	convert -monitor -resize 32x32 data-src/pov/Textures/Ri-li.ico ri-li.xpm
	convert -monitor data-src/pov/Textures/Ri-li.ico $(PNGRBTD) ri-li.png

override_dh_install-arch:
	mv debian/tmp/usr/games/Ri_li debian/tmp/usr/games/ri-li
	dh_install

override_dh_install-indep:
	$(RM) debian/tmp/usr/share/games/ri-li/Ri-li/COPYING.Music
	dh_install


## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	wget http://sourceforge.net/projects/ri-li/files/Ri-li%20Linux_Unix/Ri-li%20V2.0.1/Ri-li-devel-2.0.1.tar.bz2
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) $(PKG2)-devel-$(VER) \
	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER) \
	&& tar -xf $(PKG2)-devel-$(VER).tar.bz2 --directory $(PKG2)-devel-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG2)-devel-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	&& find . -depth -type d -name '*.ebuild' -delete -printf 'removed %p\n' \
	&& $(RM) -r -v \
		data/language.* \
		data/sprites.dat
	cd $(PKG2)-devel-$(VER) \
	&& $(RM) MakeDat \
	&& mkdir -p ../$(PKG)-$(VER)/data-src/ \
	&& cp -r * ../$(PKG)-$(VER)/data-src/
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)" \
	&& $(RM) -r "$(PKG2)-devel-$(VER)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/ri-li/ Ri-li-([\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## ri-li 2.0.1+ds2

=== debian/changelog ===
ri-li (2.0.1+ds2-1) unstable; urgency=medium

  * Do not install the xpm icon anymore.
  * Do not build the data files from source automatically.
    Data files can be built from source on all normal desktop PCs on which the
    game can be played. Apparently some issues exist when building the game
    data on a headless server though hence why the game data should be built
    manually like before version 2.0.1+ds-1 was introduced to the
    archive. (Closes: #1006063, #855777)
  * Add a README.source file.

 -- Markus Koschany <apo@debian.org>  Thu, 24 Feb 2022 01:22:29 +0100

ri-li (2.0.1+ds-11) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0.
  * Mark ri-li-data Multi-Arch: foreign.
  * Fix FTBFS with GCC 11. (Closes: #984319)

 -- Markus Koschany <apo@debian.org>  Thu, 14 Oct 2021 20:50:22 +0200

ri-li (2.0.1+ds-10) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Remove obsolete Breaks and Replaces.
  * Override dh_missing. Use --list-missing.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Jan 2021 23:42:17 +0100

ri-li (2.0.1+ds-9) unstable; urgency=medium

  * Build the data files only once because they are architecture-independent.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 16:18:31 +0100

ri-li (2.0.1+ds-8) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Use canonical VCS URI.
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Dec 2018 23:11:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
- imagemagick,
+ debhelper-compat (= 13),
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
+ zlib1g-dev
+Build-Depends-Indep:
+ imagemagick,
  xauth,
- xvfb,
- zlib1g-dev
-Standards-Version: 3.9.6
+ xvfb
+Standards-Version: 4.6.0
 Homepage: http://www.ri-li.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/ri-li.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ri-li.git
+Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
+Vcs-Browser: https://salsa.debian.org/games-team/ri-li
 
 Package: ri-li
 Architecture: any
@@ -41,14 +41,11 @@
 
 Package: ri-li-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
  ri-li
-Breaks:
- ri-li (<< 2.0.1+ds-1)
-Replaces:
- ri-li (<< 2.0.1+ds-1)
 Description: toy train simulation game - data files
  Ri-li is a game in which you drive a wooden toy steam locomotive across many
  levels and collect all the coaches to win.

=== debian/rules ===
--- 
+++ 
@@ -9,23 +9,35 @@
 export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
 
 %:
-	dh $@ --with autoreconf
+	dh $@
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--datadir=/usr/share/games/ri-li \
 		--bindir=/usr/games
 
-override_dh_auto_build:
+override_dh_auto_build-indep:
+# Uncomment to build the data files from source
 	dh_auto_build -Ddata-src
-	cd data-src && xvfb-run --server-args="-screen 0 1024x768x24" ./MakeDat
-	mv data-src/language.* data
-	mv data-src/sprites.dat data
-	convert -monitor -resize 32x32 data-src/pov/Textures/Ri-li.ico ri-li.xpm
+#	cd data-src && xvfb-run -a --server-args="-screen 0 1024x768x24" ./MakeDat
+#	mv data-src/language.* data
+#	mv data-src/sprites.dat data
 	convert -monitor data-src/pov/Textures/Ri-li.ico $(PNGRBTD) ri-li.png
 
+override_dh_auto_build-arch:
+	dh_auto_build -Dsrc
+
+override_dh_auto_test:
+	# Do nothing here
+
+override_dh_auto_install-arch:
+	# Do nothing here and handle installation manually.
+
 override_dh_install-arch:
-	mv debian/tmp/usr/games/Ri_li debian/tmp/usr/games/ri-li
+	mv src/Ri_li src/ri-li
 	dh_install
 
 override_dh_install-indep:

## ri-li 3.1.4

=== CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2023 Johnny Jazeix <jazeix@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================
cmake_minimum_required(VERSION 3.12)
cmake_policy(SET CMP0091 NEW)

project(Li_ri)

# get all the redist dll needed for windows when compiling with vc
set(CMAKE_INSTALL_UCRT_LIBRARIES 1)
include(InstallRequiredSystemLibraries)

### The current version number
set(LIRI_VERSION_MAJOR 3)
set(LIRI_VERSION_MINOR 1)
set(LIRI_VERSION_PATCH 4)
set(LIRI_VERSION ${LIRI_VERSION_MAJOR}.${LIRI_VERSION_MINOR}.${LIRI_VERSION_PATCH})

set(LIRI_EXECUTABLE_NAME Li-ri)

option(USE_CONAN
  "Use conan to fetch dependencies" OFF)
if(USE_CONAN)
  find_package(SDL2 REQUIRED CONFIG)
  find_package(SDL2_mixer REQUIRED CONFIG)
else()
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(SDL2 REQUIRED sdl2 SDL2_mixer)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_EXTENSIONS OFF)

include(FetchContent)
FetchContent_Declare(simpleini
  GIT_REPOSITORY https://github.com/brofield/simpleini.git
  GIT_TAG        09c21bda1dc1b578fa55f4a005d79b0afd481296 # v4.22
  )
FetchContent_MakeAvailable(simpleini)

add_executable(${LIRI_EXECUTABLE_NAME} WIN32
  src/audio.cc
  src/audio.h
  src/screen.cc
  src/screen.h
  src/editor.cc
  src/editor.h
  src/game.cc
  src/game.h
  src/loco.cc
  src/loco.h
  src/main.cc
  src/menu.cc
  src/menu.h
  src/mouse.cc
  src/mouse.h
  src/sprite.cc
  src/sprite.h
  src/level.cc
  src/level.h
  src/utils.cc
  src/utils.h
  )

configure_file(src/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)
target_include_directories(${LIRI_EXECUTABLE_NAME} PUBLIC ${CMAKE_CURRENT_BINARY_DIR})

if(USE_CONAN)
  target_link_libraries(${LIRI_EXECUTABLE_NAME} PRIVATE SDL2::SDL2 SDL2_mixer::SDL2_mixer)
else()
  target_include_directories(${LIRI_EXECUTABLE_NAME} PUBLIC ${SDL2_INCLUDE_DIRS})
  target_link_libraries(${LIRI_EXECUTABLE_NAME} PRIVATE ${SDL2_LINK_LIBRARIES})
endif()

target_link_libraries(${LIRI_EXECUTABLE_NAME} PRIVATE SimpleIni::SimpleIni)


include(GNUInstallDirs)
install(TARGETS ${LIRI_EXECUTABLE_NAME}
  ARCHIVE DESTINATION bin
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  BUNDLE DESTINATION .)

install(FILES io.github.petitlapin.Li-ri.appdata.xml DESTINATION "${CMAKE_INSTALL_DATADIR}/appdata/")
install(FILES io.github.petitlapin.Li-ri.desktop DESTINATION "${CMAKE_INSTALL_DATADIR}/applications/")
install(FILES data/Li-ri-icon-16x16.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps/" RENAME io.github.petitlapin.Li-ri.png)
install(FILES data/Li-ri-icon-32x32.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps/" RENAME io.github.petitlapin.Li-ri.png)
install(FILES data/Li-ri-icon-48x48.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps/" RENAME io.github.petitlapin.Li-ri.png)
install(FILES data/Li-ri-icon-64x64.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps/" RENAME io.github.petitlapin.Li-ri.png)
install(FILES data/Li-ri-icon-128x128.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/" RENAME io.github.petitlapin.Li-ri.png)

if(WIN32)
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/data/ DESTINATION bin)
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/Sounds DESTINATION bin)
else()
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/data/ DESTINATION "${CMAKE_INSTALL_DATADIR}/Li-ri")
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/Sounds DESTINATION "${CMAKE_INSTALL_DATADIR}/Li-ri")
endif()
option(RILI_ENABLE_IPO
  "Enable interprocedural optimization (IPO/LTO) by the compiler" ON)
if(RILI_ENABLE_IPO)
  include(CheckIPOSupported)
  check_ipo_supported(RESULT ipo_supported)
  if(ipo_supported)
    message("interprocedural optimization is supported by the compiler")
    set_property(TARGET ${LIRI_EXECUTABLE_NAME} PROPERTY INTERPROCEDURAL_OPTIMIZATION TRUE)
  else()
    message(WARNING
      "interprocedural optimization is not supported by the compiler")
  endif()
endif()

include(CPackLists.txt)

=== debian/changelog ===
ri-li (3.1.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:51 +0000

ri-li (3.1.4-1build1) noble; urgency=high

  * No change rebuild against libsimpleini1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:53:26 +0100

ri-li (3.1.4-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.1.4 (Closes: #382693)
  * Add new libsimpleini-dev build-dependency
  * Use upstream .desktop file & high resolution icon (LP: #1544448)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jan 2024 21:35:07 +0100

ri-li (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1 (Closes: #1047780)
  * new build based on cmake
  * switch to SDL2 (Closes: #1038549)
  * remove ancient SDL1 patches
  * set "Rules-Require-Root: no"
  * original upstream is unresponsive, switch to "Li-ri" fork:
    * change url's
    * add 2023 copyright for new maintainer
  * install AppStream metadata
  * install upstream .png icons, drop ImageMaick dependency
  * declares "Standards-Version: 4.6.2"

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 01:32:50 +0100

ri-li (2.0.1+ds2-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.1.
  * Remove xauth and xvfb from Build-Depends-Indep.
  * Remove Stuart Teasdale from Uploaders because he has retired.
    (Closes: #1011996)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Aug 2022 15:36:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: ri-li
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Stu Teasdale <sdt@debian.org>,
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libsdl-image1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev,
- zlib1g-dev
-Build-Depends-Indep:
- imagemagick,
- xauth,
- xvfb
-Standards-Version: 4.6.0
-Homepage: http://www.ri-li.org/
+# .github/workflows/codeql.yml
+ cmake,
+ libsdl2-mixer-dev,
+ libsimpleini-dev,
+Rules-Requires-Root: no
+Homepage: https://github.com/petitlapin/Li-Ri
+# http://www.ri-li.org/
 Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
 Vcs-Browser: https://salsa.debian.org/games-team/ri-li
+Standards-Version: 4.6.2
 
 Package: ri-li
 Architecture: any
+Provides: li-ri
 Depends:
  ri-li-data (>= ${source:Version}),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DLIRI_DATA_DIR=/usr/share/games/ri-li \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_INSTALL_DATADIR=/usr/share

execute_after_dh_install-arch:
	mv debian/ri-li/usr/games/Li-ri debian/ri-li/usr/games/ri-li
	sed -i 's/Exec=Li-ri/Exec=ri-li/' debian/ri-li/usr/share/applications/io.github.petitlapin.Li-ri.desktop
	sed -i 's/keywords=/Keywords=/' debian/ri-li/usr/share/applications/io.github.petitlapin.Li-ri.desktop

=== debian/watch ===
version=4
https://github.com//petitlapin/Li-Ri/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ri-li 3.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ### The current version number
 set(LIRI_VERSION_MAJOR 3)
 set(LIRI_VERSION_MINOR 1)
-set(LIRI_VERSION_PATCH 4)
+set(LIRI_VERSION_PATCH 6)
 set(LIRI_VERSION ${LIRI_VERSION_MAJOR}.${LIRI_VERSION_MINOR}.${LIRI_VERSION_PATCH})
 
 set(LIRI_EXECUTABLE_NAME Li-ri)
@@ -33,12 +33,18 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-include(FetchContent)
-FetchContent_Declare(simpleini
-  GIT_REPOSITORY https://github.com/brofield/simpleini.git
-  GIT_TAG        09c21bda1dc1b578fa55f4a005d79b0afd481296 # v4.22
-  )
-FetchContent_MakeAvailable(simpleini)
+
+option (USE_SYSTEM_SIMPLEINI "Use system SimpleIni instead of FetchContent" OFF)
+if(USE_SYSTEM_SIMPLEINI)
+  find_package(SimpleIni REQUIRED CONFIG)
+else()
+  include(FetchContent)
+  FetchContent_Declare(simpleini
+    GIT_REPOSITORY https://github.com/brofield/simpleini.git
+    GIT_TAG        09c21bda1dc1b578fa55f4a005d79b0afd481296 # v4.22
+    )
+  FetchContent_MakeAvailable(simpleini)
+endif()
 
 add_executable(${LIRI_EXECUTABLE_NAME} WIN32
   src/audio.cc
@@ -49,6 +55,8 @@
   src/editor.h
   src/game.cc
   src/game.h
+  src/gamepad.cc
+  src/gamepad.h
   src/loco.cc
   src/loco.h
   src/main.cc
@@ -67,6 +75,10 @@
 configure_file(src/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)
 target_include_directories(${LIRI_EXECUTABLE_NAME} PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 
+if(LINUX)
+  target_compile_definitions(${LIRI_EXECUTABLE_NAME} PUBLIC "-DSI_NO_CONVERSION=1")
+endif()
+
 if(USE_CONAN)
   target_link_libraries(${LIRI_EXECUTABLE_NAME} PRIVATE SDL2::SDL2 SDL2_mixer::SDL2_mixer)
 else()
@@ -79,9 +91,9 @@
 
 include(GNUInstallDirs)
 install(TARGETS ${LIRI_EXECUTABLE_NAME}
-  ARCHIVE DESTINATION bin
-  RUNTIME DESTINATION bin
-  LIBRARY DESTINATION lib
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   BUNDLE DESTINATION .)
 
 install(FILES io.github.petitlapin.Li-ri.appdata.xml DESTINATION "${CMAKE_INSTALL_DATADIR}/appdata/")

=== debian/changelog ===
ri-li (3.1.6-1) unstable; urgency=medium

  * Team Upload
  * d/gbp.conf: added with pristine.
  * d/watch: version 5
  * New upstream version 3.1.6
  * d/rules: build using libsimpleini
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * d/patches: refresh.

 -- Patrice Duroux <patrice.duroux@gmail.com>  Mon, 29 Dec 2025 19:20:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ri-li
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
@@ -12,12 +11,11 @@
  cmake,
  libsdl2-mixer-dev,
  libsimpleini-dev,
-Rules-Requires-Root: no
 Homepage: https://github.com/petitlapin/Li-Ri
 # http://www.ri-li.org/
 Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
 Vcs-Browser: https://salsa.debian.org/games-team/ri-li
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: ri-li
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_configure -- \
 	  -DLIRI_DATA_DIR=/usr/share/games/ri-li \
 	  -DCMAKE_INSTALL_PREFIX=/usr \
-	  -DCMAKE_INSTALL_DATADIR=/usr/share
+	  -DCMAKE_INSTALL_DATADIR=/usr/share \
+	  -DUSE_SYSTEM_SIMPLEINI=ON
 
 execute_after_dh_install-arch:
 	mv debian/ri-li/usr/games/Li-ri debian/ri-li/usr/games/ri-li

=== debian/watch ===
Version: 5

Template: GitHUb
Owner: petitlapin
Project: Li-Ri
